Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class ChallengeResponseCredential

    java.lang.Object
      oracle.ifs.common.ChallengeResponseCredential

All Implemented Interfaces:
  java.io.Serializable, Credential

    public class ChallengeResponseCredential

extends java.lang.Object
implements Credential

A ChallengeResponseCredential encapsulates a name, challenge, and response for presentation to a CredentialManager to authenticate a user, based on the SMB authentication mechanism.

See Also:
  Serialized Form
(Published)

Field Summary
`protected byte[]` | `m_Challenge` The 8-byte challenge.
`protected java.lang.String` | `m_Name` The name of the user.
`protected byte[]` | `m_Response` The 24-byte response.
`protected int` | `m_Type` The response type, enumerated.
`static int` | `TYPE_LMSESSIONKEY` Indicates an SMB LM session key type of response.
`static int` | `TYPE_NTSESSIONKEY` Indicates an SMB NT session key type of response.
`static int` | `TYPE_UNKNOWN` Indicates an unknown type of response.

Constructor Summary
`ChallengeResponseCredential()` Constructs a ChallengeResponseCredential.
`ChallengeResponseCredential(java.lang.String name, byte[] challenge, byte[] response, int type)` Constructs a ChallengeResponseCredential.

Method Summary
`byte[]` | `getChallenge()` Gets the challenge.
`java.lang.String` | `getName()` Gets the name of the user.
`byte[]` | `getResponse()` Gets the response.
`int` | `getType()` Gets the type of the response.
`void` | `setChallenge(byte[] challenge)` Sets the challenge.
`void` | `setName(java.lang.String name)` Sets the name of the user.
`void` | `setResponse(byte[] response)` Sets the response.
`void` | `setType(int type)` Sets the type of the response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

  Description copied from class: `ChallengeResponseCredential`
  Indicates an unknown type of response.

  See Also:
    Constant Field Values
  (Published)

### TYPE_NTSESSIONKEY

    public static final int TYPE_NTSESSIONKEY

  Description copied from class: `ChallengeResponseCredential`
  Indicates an SMB NT session key type of response.

  See Also:
    Constant Field Values
  (Published)

### TYPE_LMSESSIONKEY

    public static final int TYPE_LMSESSIONKEY

  Description copied from class: `ChallengeResponseCredential`
  Indicates an SMB LM session key type of response.

  See Also:
    Constant Field Values
  (Published)

### m_Name

    protected java.lang.String m_Name

  Description copied from class: `ChallengeResponseCredential`
  The name of the user.

  (Unpublished)

### m_Challenge

    protected byte[] m_Challenge

  Description copied from class: `ChallengeResponseCredential`
  The 8-byte challenge.

  (Unpublished)

### m_Response

    protected byte[] m_Response

  Description copied from class: `ChallengeResponseCredential`
  The 24-byte response.

  (Unpublished)

### m_Type

    protected int m_Type

  Description copied from class: `ChallengeResponseCredential`
  The response type, enumerated.

  (Unpublished)

Constructor Detail

### ChallengeResponseCredential

    public ChallengeResponseCredential()
                                throws IfsException

  Constructs a ChallengeResponseCredential.

  Throws:
    `IfsException` - if the operation fails
  (Published)

### ChallengeResponseCredential

    public ChallengeResponseCredential(java.lang.String name,
                                       byte[] challenge,
                                       byte[] response,
                                       int type)
                                throws IfsException

  Constructs a ChallengeResponseCredential.

  Parameters:
    `name` - the name of the user
    `challenge` - the 8-byte challenge
    `response` - the 24-byte response
    `type` - the type of the response
  Throws:
    `IfsException` - if the operation fails
  (Published)

Method Detail

### getName

    public java.lang.String getName()
                             throws IfsException

  Description copied from class: `ChallengeResponseCredential`
  Gets the name of the user.

  Specified by:
    `getName` in interface `Credential`
  Returns:
    the name of the user
  Throws:
    `IfsException` - (IFS-10187) if the operation fails
  (Published)

### setName

    public void setName(java.lang.String name)
                 throws IfsException

  Description copied from class: `ChallengeResponseCredential`
  Sets the name of the user.

  Specified by:
    `setName` in interface `Credential`
  Parameters:
    `name` - the name of the user
  Throws:
    `IfsException` - (IFS-10188) if the operation fails
  (Published)

### getChallenge

    public byte[] getChallenge()
                        throws IfsException

  Description copied from class: `ChallengeResponseCredential`
  Gets the challenge.

  Returns:
    the challenge
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setChallenge

    public void setChallenge(byte[] challenge)
                      throws IfsException

  Description copied from class: `ChallengeResponseCredential`
  Sets the challenge.

  Parameters:
    `challenge` - the 8-byte challenge
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getResponse

    public byte[] getResponse()
                       throws IfsException

  Description copied from class: `ChallengeResponseCredential`
  Gets the response.

  Returns:
    the response
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setResponse

    public void setResponse(byte[] response)
                     throws IfsException

  Description copied from class: `ChallengeResponseCredential`
  Sets the response.

  Parameters:
    `response` - the 24-byte response
  Throws:
    `IfsException` - if the operation fails
  (Published)

### getType

    public int getType()
                throws IfsException

  Description copied from class: `ChallengeResponseCredential`
  Gets the type of the response.

  Returns:
    the type
  Throws:
    `IfsException` - if the operation fails
  (Published)

### setType

    public void setType(int type)
                 throws IfsException

  Description copied from class: `ChallengeResponseCredential`
  Sets the type of the response.

  Parameters:
    `type` - the type; must be either `TYPE_NTSESSIONKEY` or `TYPE_LMSESSIONKEY`
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD